=== modified file 'include/m_string.h'
--- include/m_string.h	2008-07-14 22:18:37 +0000
+++ include/m_string.h	2008-07-17 18:29:02 +0000
@@ -336,7 +336,7 @@
     const uchar *start_words= (const uchar *)(intptr_t)
        ((((uint64_t)(intptr_t)ptr) + SIZEOF_INT - 1) / SIZEOF_INT * SIZEOF_INT);
 
-    DBUG_ASSERT(((uint64_t)(intptr_t)ptr) >= SIZEOF_INT);
+    assert(((uint64_t)(intptr_t)ptr) >= SIZEOF_INT);
     if (end_words > ptr)
     {
       while (end > end_words && end[-1] == 0x20)

=== modified file 'include/my_bitmap.h'
--- include/my_bitmap.h	2008-07-13 18:27:33 +0000
+++ include/my_bitmap.h	2008-07-17 18:29:02 +0000
@@ -104,47 +104,14 @@
 #define _bitmap_is_set(MAP, BIT) (uint) (((uchar*)(MAP)->bitmap)[(BIT) / 8] \
                                          & (1 << ((BIT) & 7)))
 /*
-  WARNING!
-
-  The below symbols are inline functions in DEBUG builds and macros in
-  non-DEBUG builds. The latter evaluate their 'bit' argument twice.
-
   NEVER use an increment/decrement operator with the 'bit' argument.
-  It would work with DEBUG builds, but fails later in production builds!
 
   FORBIDDEN: bitmap_set_bit($my_bitmap, (field++)->field_index);
 */
-#ifndef DBUG_OFF
-static inline void
-bitmap_set_bit(MY_BITMAP *map,uint bit)
-{
-  DBUG_ASSERT(bit < (map)->n_bits);
-  _bitmap_set_bit(map,bit);
-}
-static inline void
-bitmap_flip_bit(MY_BITMAP *map,uint bit)
-{
-  DBUG_ASSERT(bit < (map)->n_bits);
-  _bitmap_flip_bit(map,bit);
-}
-static inline void
-bitmap_clear_bit(MY_BITMAP *map,uint bit)
-{
-  DBUG_ASSERT(bit < (map)->n_bits);
-  _bitmap_clear_bit(map,bit);
-}
-static inline uint
-bitmap_is_set(const MY_BITMAP *map,uint bit)
-{
-  DBUG_ASSERT(bit < (map)->n_bits);
-  return _bitmap_is_set(map,bit);
-}
-#else
 #define bitmap_set_bit(MAP, BIT) _bitmap_set_bit(MAP, BIT)
 #define bitmap_flip_bit(MAP, BIT) _bitmap_flip_bit(MAP, BIT)
 #define bitmap_clear_bit(MAP, BIT) _bitmap_clear_bit(MAP, BIT)
 #define bitmap_is_set(MAP, BIT) _bitmap_is_set(MAP, BIT)
-#endif
 
 static inline bool bitmap_cmp(const MY_BITMAP *map1, const MY_BITMAP *map2)
 {

=== modified file 'vio/viotest.cc'
--- vio/viotest.cc	2008-06-25 05:29:13 +0000
+++ vio/viotest.cc	2008-07-17 18:29:02 +0000
@@ -22,10 +22,6 @@
 	int		fd = -1;
 	char*		hh = "hshshsh\n";
 
-	DBUG_ENTER("main");
-	DBUG_PROCESS(argv[0]);
-	DBUG_PUSH("d:t");
-
 	fd = open("/dev/tty", O_WRONLY);
 	if (fd<0)
 	{
@@ -42,6 +38,6 @@
 	delete fs;
 	delete ss;
 
-	DBUG_RETURN(0);
+	return(0);
 }
 

